automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, master, updated. Release-1-


From: Ralf Wildenhues
Subject: [Automake-commit] [SCM] GNU Automake branch, master, updated. Release-1-10-236-ga880e09
Date: Thu, 27 Nov 2008 21:47:34 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=a880e0977638d40bb1bbfbef451ec7447022e0b5

The branch, master has been updated
       via  a880e0977638d40bb1bbfbef451ec7447022e0b5 (commit)
      from  e9a942a19485b83690596cc8ae375b86777eaf9e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit a880e0977638d40bb1bbfbef451ec7447022e0b5
Author: Ralf Wildenhues <address@hidden>
Date:   Thu Nov 27 22:27:15 2008 +0100

    Fix portability issues in distcleancheck_listfiles doc example.
    
    * doc/automake.texi (Dist): In the `distcleancheck_listfiles'
    code example, add `.' path, for Solaris `find', also rewrite so
    `{}' appears only once and as separate argument, for Posix.
    * tests/distcleancheck.test: New test.
    * tests/Makefile.am: Update.
    * THANKS: Update.
    Report by Jan Engelhardt and Andreas Schwab.
    
    Signed-off-by: Ralf Wildenhues <address@hidden>

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                 |   11 +++++++
 THANKS                    |    1 +
 doc/automake.texi         |    3 +-
 tests/Makefile.am         |    1 +
 tests/Makefile.in         |    1 +
 tests/distcleancheck.test |   66 +++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 82 insertions(+), 1 deletions(-)
 create mode 100755 tests/distcleancheck.test

diff --git a/ChangeLog b/ChangeLog
index c31e083..a0c5576 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,15 @@
 2008-11-27  Ralf Wildenhues  <address@hidden>
+
+       Fix portability issues in distcleancheck_listfiles doc example.
+       * doc/automake.texi (Dist): In the `distcleancheck_listfiles'
+       code example, add `.' path, for Solaris `find', also rewrite so
+       `{}' appears only once and as separate argument, for Posix.
+       * tests/distcleancheck.test: New test.
+       * tests/Makefile.am: Update.
+       * THANKS: Update.
+       Report by Jan Engelhardt and Andreas Schwab.
+
+2008-11-27  Ralf Wildenhues  <address@hidden>
            Jim Meyering  <address@hidden>
 
        Cope with whitespace in $MISSING and $install_sh.
diff --git a/THANKS b/THANKS
index 8afb9cf..1098dae 100644
--- a/THANKS
+++ b/THANKS
@@ -125,6 +125,7 @@ James Amundson              address@hidden
 James Henstridge       address@hidden
 James R. Van Zandt     address@hidden
 James Youngman         address@hidden
+Jan Engelhardt         address@hidden
 Janos Farkas           address@hidden
 Jared Davis            address@hidden
 Jason Duell            address@hidden
diff --git a/doc/automake.texi b/doc/automake.texi
index 065e6fa..1190f2e 100644
--- a/doc/automake.texi
+++ b/doc/automake.texi
@@ -8207,7 +8207,8 @@ following definition instead:
 
 @example
 distcleancheck_listfiles = \
-  find -type f -exec sh -c 'test -f $(srcdir)/@address@hidden || echo 
@address@hidden' ';'
+  find . -type f -exec sh -c 'test -f $(srcdir)/$$1 || echo $$1' \
+       sh '@address@hidden' ';'
 @end example
 
 The above definition is not the default because it's usually an error if
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 2a8e847..cac16a1 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -228,6 +228,7 @@ dirforbid.test \
 dirlist.test \
 dirlist2.test \
 discover.test \
+distcleancheck.test \
 distcom2.test \
 distcom3.test \
 distcom4.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index c1c67a6..993dd7c 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -382,6 +382,7 @@ dirforbid.test \
 dirlist.test \
 dirlist2.test \
 discover.test \
+distcleancheck.test \
 distcom2.test \
 distcom3.test \
 distcom4.test \
diff --git a/tests/distcleancheck.test b/tests/distcleancheck.test
new file mode 100755
index 0000000..5f66a12
--- /dev/null
+++ b/tests/distcleancheck.test
@@ -0,0 +1,66 @@
+#! /bin/sh
+# Copyright (C) 2008  Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure the suggested `distcleancheck_listfiles' in the manual works.
+# The example Makefile.am we use is from the FAQ entry `distcleancheck'.
+
+. ./defs || Exit 1
+
+set -e
+
+cat >>configure.in << 'END'
+AC_PROG_CC
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+# This Makefile.am is bogus.  See @node{distcleancheck} in the manual
+# for how to fix it properly.
+bin_PROGRAMS = foo
+foo_SOURCES = foo.c
+dist_man_MANS = foo.1
+
+foo.1: foo$(EXEEXT)
+       echo man page for foo$(EXEEXT) > foo.1
+
+## Ignore warnings about overridden variables
+AUTOMAKE_OPTIONS = -Wno-override
+distcleancheck_listfiles = \
+  find . -type f -exec sh -c 'test -f $(srcdir)/$$1 || echo $$1' \
+       sh '{}' ';'
+END
+
+cat >foo.c <<'END'
+int main () { return 0; }
+END
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+
+./configure
+$MAKE
+$MAKE distcheck
+
+# Now ensure that we really needed the override.
+sed '/distcleancheck_listfiles/,$d' Makefile.am > t
+mv -f t Makefile.am
+$AUTOMAKE
+./configure
+$MAKE
+$MAKE -e distcheck && Exit 1
+
+:


hooks/post-receive
--
GNU Automake




reply via email to

[Prev in Thread] Current Thread [Next in Thread]